WP6CommentAnnotationPacket Class Reference

`#include <WP6CommentAnnotationPacket.h>`

Inheritance diagram for WP6CommentAnnotationPacket:

## Public Member Functions

| WP6CommentAnnotationPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6CommentAnnotationPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *) const override
unsigned char | getAnnotationFlag () const
unsigned short | getTextPID () const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual std::shared_ptr< WP6SubDocument > | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions

| WP6CommentAnnotationPacket (const WP6CommentAnnotationPacket &)
WP6CommentAnnotationPacket & | operator= (const WP6CommentAnnotationPacket &)

## Private Attributes

unsigned short | m_textPID
unsigned char | m_flags

## Additional Inherited Members

Static Public Member Functions inherited from WP6PrefixDataPacket
static std::shared_ptr< WP6PrefixDataPacket > | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const WP6PrefixIndice &prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## WP6CommentAnnotationPacket() [1/2]

WP6CommentAnnotationPacket::WP6CommentAnnotationPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

Referenced by operator=(), and WP6CommentAnnotationPacket().

## ~WP6CommentAnnotationPacket()

WP6CommentAnnotationPacket::~WP6CommentAnnotationPacket | ( |  | ) |

override

## WP6CommentAnnotationPacket() [2/2]

WP6CommentAnnotationPacket::WP6CommentAnnotationPacket | ( | const WP6CommentAnnotationPacket & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP6CommentAnnotationPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP6PrefixDataPacket.

## getAnnotationFlag()

unsigned char WP6CommentAnnotationPacket::getAnnotationFlag | ( |  | ) | const

inline

## getTextPID()

unsigned short WP6CommentAnnotationPacket::getTextPID | ( |  | ) | const

inline

## operator=()

WP6CommentAnnotationPacket & WP6CommentAnnotationPacket::operator= | ( | const WP6CommentAnnotationPacket & |  | ) |

private

## parse()

void WP6CommentAnnotationPacket::parse | ( | WP6Listener * |  | ) | const

inline override virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

## m_flags

unsigned char WP6CommentAnnotationPacket::m_flags

private

Referenced by _readContents(), getAnnotationFlag(), and WP6CommentAnnotationPacket().

## m_textPID

unsigned short WP6CommentAnnotationPacket::m_textPID

private

Referenced by _readContents(), getTextPID(), and WP6CommentAnnotationPacket().

The documentation for this class was generated from the following files:

- WP6CommentAnnotationPacket.h
- WP6CommentAnnotationPacket.cpp